Bug 1265234 - Can't rebuild hawkey-0.6.1 - tests fail
Summary: Can't rebuild hawkey-0.6.1 - tests fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawkey
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-22 12:36 UTC by Alexander Todorov
Modified: 2015-10-23 17:20 UTC (History)
5 users (show)

Fixed In Version: hawkey-0.6.2-1.fc23 hawkey-0.6.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-17 15:51:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Alexander Todorov 2015-09-22 12:36:33 UTC
Description of problem:

On an updated Rawhide system I didn't have the latest version of hawkey so I decided to grab the src.rpm from Koji and rebuild :


rpmbuild --rebuild hawkey-0.6.1-1.fc24.src.rpm 

2: ======================================================================
2: FAIL: test_creation_dir (tests.test_sack.BasicTest)
2: ----------------------------------------------------------------------
2: Traceback (most recent call last):
2:   File "/root/rpmbuild/BUILD/hawkey-0.6.1/tests/python/tests/test_sack.py", line 67, in test_creation_dir
2:     self.assertFalse(os.access(sack.cache_dir, os.F_OK))
2: AssertionError: True is not false
2: 
2: ----------------------------------------------------------------------
2: XML: /root/rpmbuild/BUILD/hawkey-0.6.1/tests/python/tests/xunit.xml
2: ----------------------------------------------------------------------
2: Ran 145 tests in 0.154s
2: 
2: FAILED (failures=1)
2: Traceback (most recent call last):
2:   File "/root/rpmbuild/BUILD/hawkey-0.6.1/tests/python/tests/run_nosetests", line 23, in <module>
2:     env=childenv)
2:   File "/usr/lib64/python2.7/subprocess.py", line 540, in check_call
2:     raise CalledProcessError(retcode, cmd)
2: subprocess.CalledProcessError: Command '['nosetests-2.7', '--with-xunit', '--xunit-file=xunit.xml', '-s', '-v', '/root/rpmbuild/BUILD/hawkey-0.6.1/tests/python/tests']' returned non-zero exit status 1
2/2 Test #2: test_python ......................***Failed    0.54 sec

Comment 1 Michael Mráka 2015-09-23 08:56:40 UTC
Package tests can't be run with superuser privileges.
Rebuild the package as a normal user.

Comment 2 Fedora Update System 2015-10-14 17:00:15 UTC
dnf-1.1.3-1.fc23 dnf-plugins-extras-0.0.11-1.fc23 dnf-plugins-core-0.1.13-1.fc23 hawkey-0.6.2-1.fc23 libsolv-0.6.14-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a011ac001a

Comment 3 Fedora Update System 2015-10-14 17:01:59 UTC
dnf-1.1.3-1.fc22 dnf-plugins-extras-0.0.11-1.fc22 dnf-plugins-core-0.1.13-1.fc22 hawkey-0.6.2-1.fc22 libsolv-0.6.14-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-02efefba0e

Comment 4 Fedora Update System 2015-10-14 22:52:23 UTC
dnf-1.1.3-1.fc23, dnf-plugins-core-0.1.13-1.fc23, dnf-plugins-extras-0.0.11-1.fc23, hawkey-0.6.2-1.fc23, libsolv-0.6.14-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf-plugins-extras dnf libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a011ac001a

Comment 5 Fedora Update System 2015-10-15 05:51:45 UTC
dnf-1.1.3-1.fc22, dnf-plugins-core-0.1.13-1.fc22, dnf-plugins-extras-0.0.11-1.fc22, hawkey-0.6.2-1.fc22, libsolv-0.6.14-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf-plugins-extras dnf libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-02efefba0e

Comment 6 Fedora Update System 2015-10-17 15:51:23 UTC
dnf-1.1.3-1.fc23, dnf-plugins-core-0.1.13-1.fc23, dnf-plugins-extras-0.0.11-1.fc23, hawkey-0.6.2-1.fc23, libsolv-0.6.14-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-10-23 17:19:31 UTC
dnf-1.1.3-1.fc22, dnf-plugins-core-0.1.13-1.fc22, dnf-plugins-extras-0.0.11-1.fc22, hawkey-0.6.2-1.fc22, libsolv-0.6.14-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.